<script>
import { GlButton, GlIcon } from '@gitlab/ui';
import { s__ } from '~/locale';
import Zuora from 'ee/billings/components/zuora_simple.vue';

export default {
  components: {
    GlButton,
    GlIcon,
    Zuora,
  },
  inject: ['creditCard'],
  data() {
    return {
      currentUserId: this.creditCard.userId,
      formId: this.creditCard.formId,
      isLoading: true,
    };
  },
  methods: {
    updateIsLoading(isLoading) {
      this.isLoading = isLoading;
    },
    onComplete() {
      this.$emit('completed');
    },
    submit() {
      this.$refs.zuora.submit();
    },
  },
  i18n: {
    formInfo: s__(
      'IdentityVerification|GitLab will not charge or store your payment information, it will only be used for verification.',
    ),
    formSubmit: s__('IdentityVerification|Verify payment method'),
  },
};
</script>
<template>
  <div class="gl-display-flex gl-flex-direction-column">
    <zuora
      ref="zuora"
      :current-user-id="currentUserId"
      :initial-height="328"
      :payment-form-id="formId"
      @success="onComplete"
      @loading="updateIsLoading"
    />
    <div class="gl-display-flex gl-mt-4 gl-mx-4 gl-text-secondary">
      <gl-icon class="gl-flex-shrink-0 gl-mt-2" name="information-o" :size="14" />
      <span class="gl-ml-2">{{ $options.i18n.formInfo }}</span>
    </div>
    <gl-button
      class="gl-mt-6"
      variant="confirm"
      type="submit"
      :disabled="isLoading"
      @click="submit"
    >
      {{ $options.i18n.formSubmit }}
    </gl-button>
  </div>
</template>
